Holger's Java API

## com.antelmann.sql
Enum SubSelectCondition.Operator

    java.lang.Object
      java.lang.Enum<SubSelectCondition.Operator>
          com.antelmann.sql.SubSelectCondition.Operator

All Implemented Interfaces:
  Serializable, Comparable<SubSelectCondition.Operator>

Enclosing class:
  SubSelectCondition

    public static enum SubSelectCondition.Operator

extends Enum<SubSelectCondition.Operator>

Enum Constant Summary
`GREATER_OR_EQUALS_THAN`
`GREATER_THAN`
`IN`
`IS`
`LIKE`
`SMALLER_OR_EQUALS_THAN`
`SMALLER_THAN`

Method Summary
`static SubSelectCondition.Operator` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SubSelectCondition.Operator[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### IS

    public static final SubSelectCondition.Operator IS

### LIKE

    public static final SubSelectCondition.Operator LIKE

### IN

    public static final SubSelectCondition.Operator IN

### GREATER_THAN

    public static final SubSelectCondition.Operator GREATER_THAN

### SMALLER_THAN

    public static final SubSelectCondition.Operator SMALLER_THAN

### GREATER_OR_EQUALS_THAN

    public static final SubSelectCondition.Operator GREATER_OR_EQUALS_THAN

### SMALLER_OR_EQUALS_THAN

    public static final SubSelectCondition.Operator SMALLER_OR_EQUALS_THAN

Method Detail

### values

    public static SubSelectCondition.Operator[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SubSelectCondition.Operator c : SubSelectCondition.Operator.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SubSelectCondition.Operator valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads